Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

gBittorrent 4.03 Crashing on start program up #11072

Closed
Dizplaced opened this issue Aug 13, 2019 · 8 comments

Comments

@Dizplaced
Copy link

commented Aug 13, 2019

Please provide the following information

qBittorrent version and Operating System

qBittorrent 4.03 (newest available through standard repositories on Linux

If on linux, libtorrent and Qt version

Mint 19.2

What is the problem

Crashing on start program up

What is the expected behavior

opens and then crashes after 5-10 seconds

Steps to reproduce

Just open it
also tried running in terminal and with sudo
terminal contents bellow

Extra info(if any)

diz@Plex-Server:~/Desktop$ sudo qbittorrent
[sudo] password for diz:
QStandardPaths: XDG_RUNTIME_DIR not set, defaulting to '/tmp/runtime-root'


Please file a bug report at http://bug.qbittorrent.org and provide the following information:

qBittorrent version: v4.0.3

Caught signal: SIGSEGV
Stack trace:
/usr/lib/x86_64-linux-gnu/libQt5Network.so.5 : ()+0x940d4 [0x7fad693590d4]
/usr/lib/x86_64-linux-gnu/libQt5Network.so.5 : ()+0x92ca2 [0x7fad69357ca2]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : QObject::event(QEvent*)+0xe2 [0x7fad68bf8122]
/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5 : QApplicationPrivate::notify_helper(QObject*, QEvent*)+0x9c [0x7fad6a19882c]
/usr/lib/x86_64-linux-gnu/libQt5Widgets.so.5 : QApplication::notify(QObject*, QEvent*)+0x2a4 [0x7fad6a1a00f4]
qbittorrent : Application::notify(QObject*, QEvent*)+0x22 [0x556f1c139ef2]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : QCoreApplication::notifyInternal2(QObject*, QEvent*)+0x118 [0x7fad68bc89a8]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*)+0x1ed [0x7fad68bcb11d]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : ()+0x2e42c3 [0x7fad68c222c3]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 : g_main_context_dispatch()+0x2e7 [0x7fad659b6417]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 : ()+0x4c650 [0x7fad659b6650]
/usr/lib/x86_64-linux-gnu/libglib-2.0.so.0 : g_main_context_iteration()+0x2c [0x7fad659b66dc]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : QEventDispatcherGlib::processEvents(QFlagsQEventLoop::ProcessEventsFlag)+0x5f [0x7fad68c218ef]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : QEventLoop::exec(QFlagsQEventLoop::ProcessEventsFlag)+0x13a [0x7fad68bc69ea]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : QThread::exec()+0x6a [0x7fad689e522a]
/usr/lib/x86_64-linux-gnu/libQt5Core.so.5 : ()+0xac16d [0x7fad689ea16d]
/lib/x86_64-linux-gnu/libpthread.so.0 : ()+0x76db [0x7fad687266db]
/lib/x86_64-linux-gnu/libc.so.6 : clone()+0x3f [0x7fad67b1088f]
Segmentation fault
diz@Plex-Server:~/Desktop$

@thalieht

This comment has been minimized.

Copy link
Contributor

commented Aug 13, 2019

Duplicate of #9667. Disable tracker favicons in advanced settings. Also don't run qBt with sudo because it will mess up permissions of the settings folder/files.

@Dizplaced

This comment has been minimized.

Copy link
Author

commented Aug 13, 2019

@thalieht

This comment has been minimized.

Copy link
Contributor

commented Aug 13, 2019

Change the following to false or create if it doesn't exist in ~/.config/qBittorrent/qBittorrent.conf

[GUI]
DownloadTrackerFavicon=true
@xavier2k6

This comment has been minimized.

Copy link

commented Aug 13, 2019

@Dizplaced I don't use linux but 4.1.7 has been released so try repositories to update....have seen users on here with Mint 19.2 & have 4.1.7

@Dizplaced

This comment has been minimized.

Copy link
Author

commented Aug 13, 2019

I'm no expert either, I've removed and cleared everything I can and reinstalled a few times without any joy...

currently searching the drive for the correct folders. If all else fails once I've found them I'll manually delete the ruminants and start from scratch.

@Dizplaced

This comment has been minimized.

Copy link
Author

commented Aug 13, 2019

I also tried to install 4.17, error messages about a missing library, tried to install said library with no luck

@xavier2k6

This comment has been minimized.

Copy link

commented Aug 13, 2019

I don't know if this will be of any help to you..(repository/commands)
https://launchpad.net/~qbittorrent-team/+archive/ubuntu/qbittorrent-stable/+packages

Best advice I could give you though at this stage is to wait for someone who is more comfortable using linux distros to advise you.....

@Dizplaced

This comment has been minimized.

Copy link
Author

commented Aug 14, 2019

Yay, finally managed to get 4.17 installed. that fixed the issue...

thanks for the help :+1
: )

@Piccirello Piccirello closed this Aug 14, 2019

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
4 participants
You can’t perform that action at this time.